<?php

if (!defined('PmWiki')) exit();

# Assume that pmwiki.php sets variable $ScriptUrl
$ApplicationPathUrl = dirname($ScriptUrl);
$ApplicationPathDir = realpath(dirname(__FILE__) . "/../.");


if (!isset($StaticPageDir)) {$StaticPageDir = "pub/web";}
if (!isset($WorkDir)){$WorkDir = 'wiki.d';}
if (!isset($StaticPageGeneratorActionName)){$StaticPageGeneratorActionName = 'StaticPageGenerator';}
if (!isset($StaticPageExclude)){$StaticPageExclude = array();}
if (!isset($StaticPageRegularExpressionExclude)){$StaticPageRegularExpressionExclude = array();}

	
global $pagename;
include_once("StaticPagesFunctions.php");

# Create Static Page if they are in the request URL

if ($_REQUEST["createStaticPage"] == "1"){
	include("AdminAccessOnly.php");
    $_REQUEST["createStaticPage"] = "0";
    createStaticPage($_REQUEST['n']);
    exit;
}

# Delete Static Page if they are in the request URL

if ($_REQUEST["removeStaticPage"] == "1"){
	include("AdminAccessOnly.php");
    $_REQUEST["removeStaticPage"] = "0";
    removeStaticPage($_REQUEST['n']);
    exit;
}

#Let Wiki links point to static pages
if (isset($StaticPageDir)){
    $LinkFunctions['<:page>'] = 'LinkToPossibleStaticPage';
}
   
# When a wiki page is saved, update the static page.
global $EditFunctions;
array_push($EditFunctions, "UpdateStaticPage");

#When pmwiki.php?action=$StaticPageGeneratorActionName
global $HandleActions;
$HandleActions[$StaticPageGeneratorActionName] = 'HandleStaticPageGenerator';

?>
